---
updatedAt: 2026-08-06T21:05:39.000Z
agentTools:
  projectIndex: https://snipe-it.readme.io/llms.txt
---

# /hardware/:id/files/:file_id

Download a hardware file

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "snipe-it-rest-api",
    "version": "8.2.0"
  },
  "servers": [
    {
      "url": "https://develop.snipeitapp.com/api/v1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/hardware/{id}/files/{file_id}": {
      "get": {
        "summary": "/hardware/:id/files/:file_id",
        "description": "Download a hardware file",
        "operationId": "hardwareidfilesfile_id",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "ID of the asset the file is associated with",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          },
          {
            "name": "file_id",
            "in": "path",
            "description": "ID of the associated file you'd like to download",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "text",
              "code": "curl --request GET --url http://your-snipe-it/api/v1/hardware/1/file/1 --header \"Authorization: Bearer xxxxxxxxxx\" --output downloadedfile --verbose"
            }
          ],
          "samples-languages": [
            "text"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Authorization",
        "value": "Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIyIiwianRpIjoiN2I1OTg3ZGVlYzI0ZmUxNzZmM2M4Y2VmZmFkOWZhZTMwOGY5YTc5MWU5OTI1MjljMWRmMDFmMTFjYThjMWRmZWE5YTlhODdhMDcxOTA2Y2IiLCJpYXQiOjE3ODY2NjIwMzYuMzExNjY1LCJuYmYiOjE3ODY2NjIwMzYuMzExNjcsImV4cCI6MjQxNzgxNDAzNi4yOTc4MDcsInN1YiI6IjEiLCJzY29wZXMiOltdfQ.bsToXzAmDU_c0WfA36bjgIfP9reBXaDrV3vEz78fJ6mdvnGBBPfqRFD3nb2NL6Zr2X3EavWoFA2-Adn3L-0Ds7OFBfU9jdyu5vlaA-f6BHVBuJlGu2NO0SuYmlRG-2DqMQL8MHjM2NQ4k1HX5UV8ox9fzxXAe9nD7wmV0mgWtWAyq29XfiBZQcYWLKjam0LnvHbFnL29ikVazCK6_Kl9_7d0gkX32QdgbtgIFDmrngSHnAeO2wTvUvf-rz8HsV0cv_9SALuLPNSUXiKjC2amSsgzU05a0xFmMYu3mSmfgH2PDC2qAsByjOlU5yQDv2hTEBEle0c2N2-z1mL-udi49a1FreedSX0Vxm04RTFTO4UwZUO4TGsLu47JheVPuMUN5V4FUCpXPX6qoyiBrGHPWx6cfjYzEK0joJeNi9Q5LwMjZxmJ_1K2P13lTcw67fJEHQeBoiYles4TJXzgmKpYJtGRMdcdiLj8zFiDZYnq31imndZTjfIT5oTY5owEfKRCcfxoDjFMi7mrr0zpi1Tx9bGDUQLD50aoa3M1zqSQvOqi6StvWE-vDGYbRE3oNRIOtL5xQslLMLsvEK4etz_CsYW0WJ-tu_rKs7muU5yM0gIW2pCFiMbNGzJp37uFrxTD5LGn3b-r0gNhMWLYKGzYRIeyRWir2vymf2I0RX5wL5s"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```